<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <link href="site.css" rel="stylesheet" type="text/css" />

    <title>Salt Managed Systems</title>
  </head>
  <body>
    <h1>Salt Managed Systems</h1>
    <small><i>Last Updated: {{ time }}</i></small><br />
    <small><i>Based On: {{ revinfo }}</i></small>
    <p>The validation lab uses <a href="http://saltstack.org">salt</a> to
    manage x86 servers in the lab. This page lets you drill down on what we
    are managing.

    <ul>
    {% for host in hosts %}
      <li><a href="{{ host }}.html">{{ host }}</a></li>
    {% endfor %}
    </ul>

    <h2>LAVA Instances</h2>
    <table>
      <tr>
        <th>Instance</th>
        <th>Hosts</th>
      </tr>
      {% for inst,hosts in lavaconfig.iteritems() %}
      <tr>
        <td>{{ inst }}</td>
        <td>
          {% for host in hosts %}
          <a href="{{ host }}.html">{{ host }}</a> 
          {% endfor %}
        </td>
      </tr>
    {% endfor %}
    </table>

    <h2>Staging updates</h2>
    <p>
    Staging is updated daily, and here are the latest log entries:
      <ul>
        <li><a href="staging-upgrade.txt">staging-upgrade.txt</a> (the last one)</li>
        <li><a href="staging-upgrade.old.txt">staging-upgrade.old.txt</a> (the one before the last one)</li>
      </ul>
    </p>

    <h2>Lab Process Info</h2>
    Ideally changes people need in the lab can be done via salt. Once a change
    has been merged into our salt-states repository, it can be deployed to a
    given host(s) from our ssh gateway (validation.linaro.org) with:

<pre style="padding-left:20px;"><code>
# as root:
cd /srv/salt
bzr pull
salt 'hostname' state.highstate
</code></pre>

    The remainder of this section outlines some common examples:

    <h3>User Configuration for a System</h3>
    <p> Users on the system are mostly now managed by login.linaro.org ldap accounts.
    All non conformant systems (router, openstack at the moment) will be migrated
    to ldap over time.
    </p>
    <p>
    sudo management is controlled by the Lab team through an Ansible playbook.
    </p>

    <h3>LAVA Configuration Changes</h3>
    <p>We keep things like device configs and url mapping files in our
    <a href="http://bazaar.launchpad.net/~linaro-validation/lava-lab/salt-states/files/head:/lava/devices/">salt-states repository</a>. Submitting a merge proposal is the
    best way to get the team to make a configuration change for you. The files
    are organized in a directory layout that's "HOSTNAME/INSTANCE_NAME".
    </p>

  </body>
</html>
